import * as i0 from '@angular/core';
import { ChangeDetectionStrategy, Component, HostListener, Directive, provideEnvironmentInitializer, inject, CSP_NONCE, NgModule } from '@angular/core';
import { setNonce, defineCustomElements } from '@swisspost/design-system-components/loader';
import { __decorate } from 'tslib';
import { fromEvent } from 'rxjs';
import { NG_VALUE_ACCESSOR } from '@angular/forms';

/* eslint-disable */
/* tslint:disable */
const proxyInputs = (Cmp, inputs) => {
    const Prototype = Cmp.prototype;
    inputs.forEach((item) => {
        Object.defineProperty(Prototype, item, {
            get() {
                return this.el[item];
            },
            set(val) {
                this.z.runOutsideAngular(() => (this.el[item] = val));
            },
            /**
             * In the event that proxyInputs is called
             * multiple times re-defining these inputs
             * will cause an error to be thrown. As a result
             * we set configurable: true to indicate these
             * properties can be changed.
             */
            configurable: true,
        });
    });
};
const proxyMethods = (Cmp, methods) => {
    const Prototype = Cmp.prototype;
    methods.forEach((methodName) => {
        Prototype[methodName] = function () {
            const args = arguments;
            return this.z.runOutsideAngular(() => this.el[methodName].apply(this.el, args));
        };
    });
};
const proxyOutputs = (instance, el, events) => {
    events.forEach((eventName) => (instance[eventName] = fromEvent(el, eventName)));
};
const defineCustomElement = (tagName, customElement) => {
    if (customElement !== undefined && typeof customElements !== 'undefined' && !customElements.get(tagName)) {
        customElements.define(tagName, customElement);
    }
};
// tslint:disable-next-line: only-arrow-functions
function ProxyCmp(opts) {
    const decorator = function (cls) {
        const { defineCustomElementFn, inputs, methods } = opts;
        if (defineCustomElementFn !== undefined) {
            defineCustomElementFn();
        }
        if (inputs) {
            proxyInputs(cls, inputs);
        }
        if (methods) {
            proxyMethods(cls, methods);
        }
        return cls;
    };
    return decorator;
}

let PostAccordion = class PostAccordion {
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostAccordion, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.9", type: PostAccordion, isStandalone: true, selector: "post-accordion", inputs: { headingLevel: "headingLevel", multiple: "multiple" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
};
PostAccordion = __decorate([
    ProxyCmp({
        inputs: ['headingLevel', 'multiple'],
        methods: ['toggle', 'expandAll', 'collapseAll']
    })
], PostAccordion);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostAccordion, decorators: [{
            type: Component,
            args: [{
                    selector: 'post-accordion',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['headingLevel', 'multiple'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let PostAccordionItem = class PostAccordionItem {
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostAccordionItem, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.9", type: PostAccordionItem, isStandalone: true, selector: "post-accordion-item", inputs: { collapsed: "collapsed", headingLevel: "headingLevel" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
};
PostAccordionItem = __decorate([
    ProxyCmp({
        inputs: ['collapsed', 'headingLevel'],
        methods: ['toggle']
    })
], PostAccordionItem);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostAccordionItem, decorators: [{
            type: Component,
            args: [{
                    selector: 'post-accordion-item',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['collapsed', 'headingLevel'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let PostAlert = class PostAlert {
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['postDismissed']);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostAlert, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.9", type: PostAlert, isStandalone: true, selector: "post-alert", inputs: { dismissLabel: "dismissLabel", dismissible: "dismissible", fixed: "fixed", icon: "icon", type: "type" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
};
PostAlert = __decorate([
    ProxyCmp({
        inputs: ['dismissLabel', 'dismissible', 'fixed', 'icon', 'type'],
        methods: ['dismiss']
    })
], PostAlert);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostAlert, decorators: [{
            type: Component,
            args: [{
                    selector: 'post-alert',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['dismissLabel', 'dismissible', 'fixed', 'icon', 'type'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let PostCardControl = class PostCardControl {
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['postInput', 'postChange']);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostCardControl, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.9", type: PostCardControl, isStandalone: true, selector: "post-card-control", inputs: { checked: "checked", description: "description", disabled: "disabled", icon: "icon", label: "label", name: "name", type: "type", validity: "validity", value: "value" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
};
PostCardControl = __decorate([
    ProxyCmp({
        inputs: ['checked', 'description', 'disabled', 'icon', 'label', 'name', 'type', 'validity', 'value'],
        methods: ['reset', 'groupReset']
    })
], PostCardControl);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostCardControl, decorators: [{
            type: Component,
            args: [{
                    selector: 'post-card-control',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['checked', 'description', 'disabled', 'icon', 'label', 'name', 'type', 'validity', 'value'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let PostCollapsible = class PostCollapsible {
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['postToggle']);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostCollapsible, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.9", type: PostCollapsible, isStandalone: true, selector: "post-collapsible", inputs: { collapsed: "collapsed" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
};
PostCollapsible = __decorate([
    ProxyCmp({
        inputs: ['collapsed'],
        methods: ['toggle']
    })
], PostCollapsible);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostCollapsible, decorators: [{
            type: Component,
            args: [{
                    selector: 'post-collapsible',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['collapsed'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let PostCollapsibleTrigger = class PostCollapsibleTrigger {
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostCollapsibleTrigger, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.9", type: PostCollapsibleTrigger, isStandalone: true, selector: "post-collapsible-trigger", inputs: { for: "for" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
};
PostCollapsibleTrigger = __decorate([
    ProxyCmp({
        inputs: ['for'],
        methods: ['update']
    })
], PostCollapsibleTrigger);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostCollapsibleTrigger, decorators: [{
            type: Component,
            args: [{
                    selector: 'post-collapsible-trigger',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['for'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let PostIcon = class PostIcon {
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostIcon, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.9", type: PostIcon, isStandalone: true, selector: "post-icon", inputs: { animation: "animation", base: "base", flipH: "flipH", flipV: "flipV", name: "name", rotate: "rotate", scale: "scale" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
};
PostIcon = __decorate([
    ProxyCmp({
        inputs: ['animation', 'base', 'flipH', 'flipV', 'name', 'rotate', 'scale']
    })
], PostIcon);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostIcon, decorators: [{
            type: Component,
            args: [{
                    selector: 'post-icon',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['animation', 'base', 'flipH', 'flipV', 'name', 'rotate', 'scale'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let PostLogo = class PostLogo {
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostLogo, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.9", type: PostLogo, isStandalone: true, selector: "post-logo", inputs: { url: "url" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
};
PostLogo = __decorate([
    ProxyCmp({
        inputs: ['url']
    })
], PostLogo);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostLogo, decorators: [{
            type: Component,
            args: [{
                    selector: 'post-logo',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['url'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let PostPopover = class PostPopover {
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostPopover, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.9", type: PostPopover, isStandalone: true, selector: "post-popover", inputs: { arrow: "arrow", closeButtonCaption: "closeButtonCaption", placement: "placement" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
};
PostPopover = __decorate([
    ProxyCmp({
        inputs: ['arrow', 'closeButtonCaption', 'placement'],
        methods: ['show', 'hide', 'toggle']
    })
], PostPopover);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostPopover, decorators: [{
            type: Component,
            args: [{
                    selector: 'post-popover',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['arrow', 'closeButtonCaption', 'placement'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let PostPopovercontainer = class PostPopovercontainer {
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['postToggle']);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostPopovercontainer, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.9", type: PostPopovercontainer, isStandalone: true, selector: "post-popovercontainer", inputs: { animation: "animation", arrow: "arrow", edgeGap: "edgeGap", placement: "placement", safeSpace: "safeSpace" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
};
PostPopovercontainer = __decorate([
    ProxyCmp({
        inputs: ['animation', 'arrow', 'edgeGap', 'placement', 'safeSpace'],
        methods: ['show', 'hide', 'toggle']
    })
], PostPopovercontainer);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostPopovercontainer, decorators: [{
            type: Component,
            args: [{
                    selector: 'post-popovercontainer',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['animation', 'arrow', 'edgeGap', 'placement', 'safeSpace'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let PostRating = class PostRating {
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['postInput', 'postChange']);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostRating, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.9", type: PostRating, isStandalone: true, selector: "post-rating", inputs: { currentRating: "currentRating", label: "label", readonly: "readonly", stars: "stars" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
};
PostRating = __decorate([
    ProxyCmp({
        inputs: ['currentRating', 'label', 'readonly', 'stars']
    })
], PostRating);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostRating, decorators: [{
            type: Component,
            args: [{
                    selector: 'post-rating',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['currentRating', 'label', 'readonly', 'stars'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let PostTabHeader = class PostTabHeader {
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostTabHeader, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.9", type: PostTabHeader, isStandalone: true, selector: "post-tab-header", inputs: { panel: "panel" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
};
PostTabHeader = __decorate([
    ProxyCmp({
        inputs: ['panel']
    })
], PostTabHeader);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostTabHeader, decorators: [{
            type: Component,
            args: [{
                    selector: 'post-tab-header',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['panel'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let PostTabPanel = class PostTabPanel {
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostTabPanel, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.9", type: PostTabPanel, isStandalone: true, selector: "post-tab-panel", inputs: { name: "name" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
};
PostTabPanel = __decorate([
    ProxyCmp({
        inputs: ['name']
    })
], PostTabPanel);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostTabPanel, decorators: [{
            type: Component,
            args: [{
                    selector: 'post-tab-panel',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['name'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let PostTabs = class PostTabs {
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
        proxyOutputs(this, this.el, ['postChange']);
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostTabs, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.9", type: PostTabs, isStandalone: true, selector: "post-tabs", inputs: { activePanel: "activePanel" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
};
PostTabs = __decorate([
    ProxyCmp({
        inputs: ['activePanel'],
        methods: ['show']
    })
], PostTabs);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostTabs, decorators: [{
            type: Component,
            args: [{
                    selector: 'post-tabs',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['activePanel'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let PostTag = class PostTag {
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostTag, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.9", type: PostTag, isStandalone: true, selector: "post-tag", inputs: { icon: "icon", size: "size", variant: "variant" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
};
PostTag = __decorate([
    ProxyCmp({
        inputs: ['icon', 'size', 'variant']
    })
], PostTag);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostTag, decorators: [{
            type: Component,
            args: [{
                    selector: 'post-tag',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['icon', 'size', 'variant'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let PostTooltip = class PostTooltip {
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostTooltip, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.9", type: PostTooltip, isStandalone: true, selector: "post-tooltip", inputs: { animation: "animation", arrow: "arrow", open: "open", placement: "placement" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
};
PostTooltip = __decorate([
    ProxyCmp({
        inputs: ['animation', 'arrow', 'open', 'placement'],
        methods: ['show', 'hide', 'toggle']
    })
], PostTooltip);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostTooltip, decorators: [{
            type: Component,
            args: [{
                    selector: 'post-tooltip',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['animation', 'arrow', 'open', 'placement'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });
let PostTooltipTrigger = class PostTooltipTrigger {
    constructor(c, r, z) {
        this.z = z;
        c.detach();
        this.el = r.nativeElement;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostTooltipTrigger, deps: [{ token: i0.ChangeDetectorRef }, { token: i0.ElementRef }, { token: i0.NgZone }], target: i0.ɵɵFactoryTarget.Component }); }
    static { this.ɵcmp = i0.ɵɵngDeclareComponent({ minVersion: "14.0.0", version: "19.2.9", type: PostTooltipTrigger, isStandalone: true, selector: "post-tooltip-trigger", inputs: { delay: "delay", for: "for" }, ngImport: i0, template: '<ng-content></ng-content>', isInline: true, changeDetection: i0.ChangeDetectionStrategy.OnPush }); }
};
PostTooltipTrigger = __decorate([
    ProxyCmp({
        inputs: ['delay', 'for']
    })
], PostTooltipTrigger);
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostTooltipTrigger, decorators: [{
            type: Component,
            args: [{
                    selector: 'post-tooltip-trigger',
                    changeDetection: ChangeDetectionStrategy.OnPush,
                    template: '<ng-content></ng-content>',
                    // eslint-disable-next-line @angular-eslint/no-inputs-metadata-property
                    inputs: ['delay', 'for'],
                }]
        }], ctorParameters: () => [{ type: i0.ChangeDetectorRef }, { type: i0.ElementRef }, { type: i0.NgZone }] });

const DIRECTIVES = [
    PostAccordion,
    PostAccordionItem,
    PostAlert,
    PostCardControl,
    PostCollapsible,
    PostCollapsibleTrigger,
    PostIcon,
    PostLogo,
    PostPopover,
    PostPopovercontainer,
    PostRating,
    PostTabHeader,
    PostTabPanel,
    PostTabs,
    PostTag,
    PostTooltip,
    PostTooltipTrigger
];

class PostCardControlCheckboxValueAccessorDirective {
    constructor(el) {
        this.el = el;
        this.onChange = () => {
            /**/
        };
        this.onTouched = () => {
            /**/
        };
    }
    writeValue(value) {
        this.el.nativeElement.checked = this.lastValue = value === null ? false : value;
    }
    handleChangeEvent(value) {
        this.onChange(value);
    }
    _handleBlurEvent() {
        this.onTouched();
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.el.nativeElement.disabled = isDisabled;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostCardControlCheckboxValueAccessorDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.9", type: PostCardControlCheckboxValueAccessorDirective, isStandalone: true, selector: "post-card-control[type=\"checkbox\"]", host: { listeners: { "postChange": "handleChangeEvent($event.detail.state)", "focusout": "_handleBlurEvent()" } }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: PostCardControlCheckboxValueAccessorDirective,
                multi: true,
            },
        ], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostCardControlCheckboxValueAccessorDirective, decorators: [{
            type: Directive,
            args: [{
                    /* eslint-disable-next-line @angular-eslint/directive-selector */
                    selector: 'post-card-control[type="checkbox"]',
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: PostCardControlCheckboxValueAccessorDirective,
                            multi: true,
                        },
                    ],
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }], propDecorators: { handleChangeEvent: [{
                type: HostListener,
                args: ['postChange', ['$event.detail.state']]
            }], _handleBlurEvent: [{
                type: HostListener,
                args: ['focusout']
            }] } });

class PostCardControlRadioValueAccessorDirective {
    constructor(el) {
        this.el = el;
        this.onChange = () => {
            /**/
        };
        this.onTouched = () => {
            /**/
        };
    }
    writeValue(value) {
        this.el.nativeElement.checked = this.lastValue =
            this.el.nativeElement.value != value ? false : value;
    }
    handleChangeEvent(value) {
        this.onChange(value);
    }
    _handleBlurEvent() {
        this.onTouched();
    }
    registerOnChange(fn) {
        this.onChange = fn;
    }
    registerOnTouched(fn) {
        this.onTouched = fn;
    }
    setDisabledState(isDisabled) {
        this.el.nativeElement.disabled = isDisabled;
    }
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostCardControlRadioValueAccessorDirective, deps: [{ token: i0.ElementRef }], target: i0.ɵɵFactoryTarget.Directive }); }
    static { this.ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "19.2.9", type: PostCardControlRadioValueAccessorDirective, isStandalone: true, selector: "post-card-control[type=\"radio\"]", host: { listeners: { "postChange": "handleChangeEvent($event.detail.value)", "focusout": "_handleBlurEvent()" } }, providers: [
            {
                provide: NG_VALUE_ACCESSOR,
                useExisting: PostCardControlRadioValueAccessorDirective,
                multi: true,
            },
        ], ngImport: i0 }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostCardControlRadioValueAccessorDirective, decorators: [{
            type: Directive,
            args: [{
                    /* eslint-disable-next-line @angular-eslint/directive-selector */
                    selector: 'post-card-control[type="radio"]',
                    providers: [
                        {
                            provide: NG_VALUE_ACCESSOR,
                            useExisting: PostCardControlRadioValueAccessorDirective,
                            multi: true,
                        },
                    ],
                }]
        }], ctorParameters: () => [{ type: i0.ElementRef }], propDecorators: { handleChangeEvent: [{
                type: HostListener,
                args: ['postChange', ['$event.detail.value']]
            }], _handleBlurEvent: [{
                type: HostListener,
                args: ['focusout']
            }] } });

const IMPORTS = [
    ...DIRECTIVES,
    PostCardControlCheckboxValueAccessorDirective,
    PostCardControlRadioValueAccessorDirective,
];
class PostComponentsModule {
    static { this.ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostComponentsModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule }); }
    static { this.ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "19.2.9", ngImport: i0, type: PostComponentsModule, imports: [PostAccordion, PostAccordionItem, PostAlert, PostCardControl, PostCollapsible, PostCollapsibleTrigger, PostIcon, PostLogo, PostPopover, PostPopovercontainer, PostRating, PostTabHeader, PostTabPanel, PostTabs, PostTag, PostTooltip, PostTooltipTrigger, PostCardControlCheckboxValueAccessorDirective,
            PostCardControlRadioValueAccessorDirective], exports: [PostAccordion, PostAccordionItem, PostAlert, PostCardControl, PostCollapsible, PostCollapsibleTrigger, PostIcon, PostLogo, PostPopover, PostPopovercontainer, PostRating, PostTabHeader, PostTabPanel, PostTabs, PostTag, PostTooltip, PostTooltipTrigger, PostCardControlCheckboxValueAccessorDirective,
            PostCardControlRadioValueAccessorDirective] }); }
    static { this.ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostComponentsModule, providers: [
            provideEnvironmentInitializer(() => {
                const initializerFn = (() => () => {
                    // Check if Post components are already defined, if so do nothing
                    if (typeof customElements.get('post-icon') !== 'undefined')
                        return;
                    // Set a "nonce" attribute on all scripts/styles if the host application has one configured
                    const nonce = inject(CSP_NONCE);
                    if (nonce)
                        setNonce(nonce);
                    // Define Post components
                    defineCustomElements();
                })();
                return initializerFn();
            }),
        ] }); }
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "19.2.9", ngImport: i0, type: PostComponentsModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: IMPORTS,
                    exports: IMPORTS,
                    providers: [
                        provideEnvironmentInitializer(() => {
                            const initializerFn = (() => () => {
                                // Check if Post components are already defined, if so do nothing
                                if (typeof customElements.get('post-icon') !== 'undefined')
                                    return;
                                // Set a "nonce" attribute on all scripts/styles if the host application has one configured
                                const nonce = inject(CSP_NONCE);
                                if (nonce)
                                    setNonce(nonce);
                                // Define Post components
                                defineCustomElements();
                            })();
                            return initializerFn();
                        }),
                    ],
                }]
        }] });

/*
 * Public API Surface of components
 */

/**
 * Generated bundle index. Do not edit.
 */

export { DIRECTIVES, PostAccordion, PostAccordionItem, PostAlert, PostCardControl, PostCardControlCheckboxValueAccessorDirective, PostCardControlRadioValueAccessorDirective, PostCollapsible, PostCollapsibleTrigger, PostComponentsModule, PostIcon, PostLogo, PostPopover, PostPopovercontainer, PostRating, PostTabHeader, PostTabPanel, PostTabs, PostTag, PostTooltip, PostTooltipTrigger };
//# sourceMappingURL=swisspost-design-system-components-angular.mjs.map
