import { ChangeDetectorRef, ElementRef, EventEmitter, NgZone } from '@angular/core';
import { Components } from '@swisspost/design-system-components';
import * as i0 from "@angular/core";
export declare class PostAccordion {
    protected z: NgZone;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<PostAccordion, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PostAccordion, "post-accordion", never, { "headingLevel": { "alias": "headingLevel"; "required": false; }; "multiple": { "alias": "multiple"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface PostAccordion extends Components.PostAccordion {
}
export declare class PostAccordionItem {
    protected z: NgZone;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<PostAccordionItem, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PostAccordionItem, "post-accordion-item", never, { "collapsed": { "alias": "collapsed"; "required": false; }; "headingLevel": { "alias": "headingLevel"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface PostAccordionItem extends Components.PostAccordionItem {
}
export declare class PostAlert {
    protected z: NgZone;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<PostAlert, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PostAlert, "post-alert", never, { "dismissLabel": { "alias": "dismissLabel"; "required": false; }; "dismissible": { "alias": "dismissible"; "required": false; }; "fixed": { "alias": "fixed"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "type": { "alias": "type"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface PostAlert extends Components.PostAlert {
    /**
     * An event emitted when the alert element is dismissed, after the transition.
  It has no payload and only relevant for dismissible alerts.
     */
    postDismissed: EventEmitter<CustomEvent<void>>;
}
export declare class PostCardControl {
    protected z: NgZone;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<PostCardControl, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PostCardControl, "post-card-control", never, { "checked": { "alias": "checked"; "required": false; }; "description": { "alias": "description"; "required": false; }; "disabled": { "alias": "disabled"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "label": { "alias": "label"; "required": false; }; "name": { "alias": "name"; "required": false; }; "type": { "alias": "type"; "required": false; }; "validity": { "alias": "validity"; "required": false; }; "value": { "alias": "value"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface PostCardControl extends Components.PostCardControl {
    /**
     * An event emitted whenever the components checked state is toggled.
  The event payload (emitted under `event.detail.state`) is a boolean: `true` if the component is checked, `false` if it is unchecked.
     */
    postInput: EventEmitter<CustomEvent<{
        state: boolean;
        value: string;
    }>>;
    /**
     * An event emitted whenever the components checked state is toggled.
  The event payload (emitted under `event.detail.state`) is a boolean: `true` if the component is checked, `false` if it is unchecked.
  <span className="alert alert-sm alert-info">If the component is used with type `radio`, it will only emit this event, when the checked state is changing to `true`.</span>
     */
    postChange: EventEmitter<CustomEvent<{
        state: boolean;
        value: string;
    }>>;
}
export declare class PostCollapsible {
    protected z: NgZone;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<PostCollapsible, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PostCollapsible, "post-collapsible", never, { "collapsed": { "alias": "collapsed"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface PostCollapsible extends Components.PostCollapsible {
    /**
     * An event emitted when the collapse element is shown or hidden, before the transition.
  
  The event payload is a boolean: `true` if the collapsible was opened, `false` if it was closed.
     */
    postToggle: EventEmitter<CustomEvent<boolean>>;
}
export declare class PostCollapsibleTrigger {
    protected z: NgZone;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<PostCollapsibleTrigger, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PostCollapsibleTrigger, "post-collapsible-trigger", never, { "for": { "alias": "for"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface PostCollapsibleTrigger extends Components.PostCollapsibleTrigger {
}
export declare class PostIcon {
    protected z: NgZone;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<PostIcon, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PostIcon, "post-icon", never, { "animation": { "alias": "animation"; "required": false; }; "base": { "alias": "base"; "required": false; }; "flipH": { "alias": "flipH"; "required": false; }; "flipV": { "alias": "flipV"; "required": false; }; "name": { "alias": "name"; "required": false; }; "rotate": { "alias": "rotate"; "required": false; }; "scale": { "alias": "scale"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface PostIcon extends Components.PostIcon {
}
export declare class PostLogo {
    protected z: NgZone;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<PostLogo, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PostLogo, "post-logo", never, { "url": { "alias": "url"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface PostLogo extends Components.PostLogo {
}
export declare class PostPopover {
    protected z: NgZone;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<PostPopover, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PostPopover, "post-popover", never, { "arrow": { "alias": "arrow"; "required": false; }; "closeButtonCaption": { "alias": "closeButtonCaption"; "required": false; }; "placement": { "alias": "placement"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface PostPopover extends Components.PostPopover {
}
export declare class PostPopovercontainer {
    protected z: NgZone;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<PostPopovercontainer, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PostPopovercontainer, "post-popovercontainer", never, { "animation": { "alias": "animation"; "required": false; }; "arrow": { "alias": "arrow"; "required": false; }; "edgeGap": { "alias": "edgeGap"; "required": false; }; "placement": { "alias": "placement"; "required": false; }; "safeSpace": { "alias": "safeSpace"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface PostPopovercontainer extends Components.PostPopovercontainer {
    /**
     * Fires whenever the popovercontainer gets shown or hidden, passing the new state in event.details as a boolean
     */
    postToggle: EventEmitter<CustomEvent<boolean>>;
}
export declare class PostRating {
    protected z: NgZone;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<PostRating, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PostRating, "post-rating", never, { "currentRating": { "alias": "currentRating"; "required": false; }; "label": { "alias": "label"; "required": false; }; "readonly": { "alias": "readonly"; "required": false; }; "stars": { "alias": "stars"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface PostRating extends Components.PostRating {
    /**
     * An event emitted whenever the component's value has changed (on input).
  The event payload can be used like so: `event.detail.value`.
     */
    postInput: EventEmitter<CustomEvent<{
        value: number;
    }>>;
    /**
     * An event emitted whenever the component's value has changed (on blur).
  The event payload can be used like so: `event.detail.value`.
     */
    postChange: EventEmitter<CustomEvent<{
        value: number;
    }>>;
}
export declare class PostTabHeader {
    protected z: NgZone;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<PostTabHeader, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PostTabHeader, "post-tab-header", never, { "panel": { "alias": "panel"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface PostTabHeader extends Components.PostTabHeader {
}
export declare class PostTabPanel {
    protected z: NgZone;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<PostTabPanel, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PostTabPanel, "post-tab-panel", never, { "name": { "alias": "name"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface PostTabPanel extends Components.PostTabPanel {
}
export declare class PostTabs {
    protected z: NgZone;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<PostTabs, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PostTabs, "post-tabs", never, { "activePanel": { "alias": "activePanel"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface PostTabs extends Components.PostTabs {
    /**
     * An event emitted after the active tab changes, when the fade in transition of its associated panel is finished.
  The payload is the name of the newly shown panel.
     */
    postChange: EventEmitter<CustomEvent<HTMLPostTabPanelElement['name']>>;
}
export declare class PostTag {
    protected z: NgZone;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<PostTag, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PostTag, "post-tag", never, { "icon": { "alias": "icon"; "required": false; }; "size": { "alias": "size"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface PostTag extends Components.PostTag {
}
export declare class PostTooltip {
    protected z: NgZone;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<PostTooltip, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PostTooltip, "post-tooltip", never, { "animation": { "alias": "animation"; "required": false; }; "arrow": { "alias": "arrow"; "required": false; }; "open": { "alias": "open"; "required": false; }; "placement": { "alias": "placement"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface PostTooltip extends Components.PostTooltip {
}
export declare class PostTooltipTrigger {
    protected z: NgZone;
    protected el: HTMLElement;
    constructor(c: ChangeDetectorRef, r: ElementRef, z: NgZone);
    static ɵfac: i0.ɵɵFactoryDeclaration<PostTooltipTrigger, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PostTooltipTrigger, "post-tooltip-trigger", never, { "delay": { "alias": "delay"; "required": false; }; "for": { "alias": "for"; "required": false; }; }, {}, never, ["*"], true, never>;
}
export declare interface PostTooltipTrigger extends Components.PostTooltipTrigger {
}
